#!/bin/bash

rspec_file=rspec.json
service_count=`jq '. | length' ${rspec_file}`
i=0
while [  $i -lt ${service_count} ]; do
    service_name_key=".[${i}].name"
    service_name=`jq ${service_name_key} ${rspec_file} | tr -d '"'`

    if lxc-info -n ${service_name}; then
        echo "Stopping container: ${service_name}"
        lxc-stop -n ${service_name} 
        echo "Destroying container: ${service_name}"      
        lxc-destroy -n ${service_name}    
        sed -i '/${ip}/d' /etc/lxc/dnsmasq.conf
    fi
    let i=i+1
done
     